This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 186813 - Review Request: njam - Maze-game where you must eat all the dots and avoid the badguys
Review Request: njam - Maze-game where you must eat all the dots and avoid th...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-26 14:42 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 00:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-03-26 14:42:02 EST
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/njam.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/njam-1.25-1.src.rpm
Description:
Njam is a fast-paced maze-game where you must eat all the dots while avoiding
the badguys. Unless you eat a special dot which gives you the power to eat the
badguys. Featuring: Single and multiplayer mode (local or network), Duel games
and Cooperative games, Great music and sound effects, Customizable level skins,
Many different levels and an Integrated level editor.
Comment 1 Hans de Goede 2006-03-26 15:06:14 EST
rpmlint gives an error about the sgid games bit on the binary, this however is
intentional, its needed for access to the shared hiscore file.

Also see njam-1.25-drop-setgid.patch. The first thing done in main is opening
the file, the second is dropping the gid games rights, 100% safe.
Comment 2 Wart 2006-03-27 11:58:29 EST
I'll take a look at this shortly.  The premise of the game sounds strikingly
similar to something that I use to play 20 years ago...
Comment 3 Hans de Goede 2006-03-27 12:46:28 EST
It is somewhat similar to *that* game yes. I noticed I forgot to add
desktop-file-utils to the BR. I've uploaded a new version over the previous -1
with this fixed.
Comment 4 Wart 2006-03-27 16:21:35 EST
MUST
====
* rpmlint complains about the setgid binary.  This is acceptable per
  the Games SIG recommendation regarding scoreboard files.
* Package and spec file named appropriately
* License (GPL) ok, license file included
* spec file is legible and in Am. English.
* Source matches upstream
    231fda022d309e1ef4a0d993ca693462  njam-1.25-src.tar.gz
* Compiles and builds on FC5-i386 and in mock on FC4-x86_64, FC4-i386
* BR: ok
* No locales
* No shared libraries
* Not relocatable
* Permissions ok
* %doc does not affect runtime
* Contains code and permissible content
* No -devel package
* .desktop file included
* Directory ownership ok 

MUSTFIX
=======
* Some of the wording and capitalization in the %description is a little
  awkward.  I suggest the following:
"Njam is a fast-paced maze-game where you must eat all the cookies while
avoiding the badguys. Special cookies give you the power to freeze or eat the
bad guys. The game features single and multiplayer modes, network play,
duelling and cooperative games, great music and sound effects, customizable
level skins, many different levels and an integrated level editor." 

* Man pages for games should go in %{mandir}/man6 according to the FHS:
  http://www.pathname.com/fhs/pub/fhs-2.3.html#USRSHAREMANMANUALPAGES
  This also needs to be mentioned on the Games SIG wiki page (I'll add it
  shortly)

* The summary, %description, and njam.1 file should refer to cookies instead of
  dots.  This is how they are described on the home page.

RECOMMENDED
===========
* For a nicer looking icon, make the background transparent:
    convert -transparent black njamicon.ico %{name}.png

* The "Home" link in the upper-right of the doc-editor.html file points to
  a nonexistant index.html file.
Comment 5 Hans de Goede 2006-03-27 16:29:05 EST
Cool & Thanks, I'll look into both the MUSTFIX and RECOMMENDED tomorrow as time
permits.

In the mean time if you've got time you could take a look at the other classic
inspired game I've just submitted for review, see the games sig page.
Comment 6 Hans de Goede 2006-03-28 03:01:38 EST
I've fixed all MUSTFIX and RECOMMENDED items. I've used the description you
provided for %description and the man page. New version:
Spec Name or Url: http://home.zonnet.nl/jwrdegoede/njam.spec
SRPM Name or Url: http://home.zonnet.nl/jwrdegoede/njam-1.25-2.src.rpm

Comment 7 Hans de Goede 2006-03-29 02:21:23 EST
I don't want to seem impatient, let alone rude, but ...  ping?
Comment 8 Wart 2006-03-29 11:25:26 EST
Looks good.  Only the man page still says "NJAM(1)" at the top when I run "man
njam".  It should read "NJAM(6)".  To fix, change line 54 in njam.6 to:
.TH "NJAM" "6"

This isn't a blocker, but should be fixed after importing.

APPROVED.
Comment 9 Hans de Goede 2006-03-30 00:15:18 EST
Imported, manpage fixed and build, Thanks!
Comment 10 julian 2006-04-05 15:08:08 EDT
using this package it is impossible to create new levels using the built-in level-editor

well, you can create them, but they aren't saved although there is is no error message
Comment 11 Hans de Goede 2006-04-05 15:57:58 EDT
e0126505@student.tuwien.ac.at

1) Thanks for reporting this
2) Please use a Real Name as Real Name or atleast an alias, so people have some
way of addressing you in comments
3) Please report this in a seperate bug where it belongs.
Comment 12 Hans de Goede 2006-04-05 15:59:56 EDT
did you try pressing s to save it or a for save as before exiting the editor?
Comment 13 julian 2006-04-05 16:34:34 EDT
>Please report this in a seperate bug where it belongs.
#188078 

>did you try pressing s to save it or a for save as before exiting the editor?
both methods don't work...well they can't possibly work since the "levels" directory is root-owned?!

Note You need to log in before you can comment on or make changes to this bug.